Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/115
Addresses8,192
/64 networksPart of one
Network
2001:db8::2000/115
First address
2001:db8::2000
Last address
2001:db8::3fff
Addresses
8,192
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2001:0db8:0000:0000:0000:0000:0000:2000
Type
Documentation 2001:db8::/32
For examples; never used on a network
Reverse DNS zones
2.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
3.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
/115 is not on a 4-bit boundary, so it takes 2 /116 zones.
Split into smaller subnets/128

2001:db8::2000/115 makes 8,192 subnets of /128; the first 256 are listed.

Subnets
#SubnetLast address
12001:db8::2000/1282001:db8::2000
22001:db8::2001/1282001:db8::2001
32001:db8::2002/1282001:db8::2002
42001:db8::2003/1282001:db8::2003
52001:db8::2004/1282001:db8::2004
62001:db8::2005/1282001:db8::2005
72001:db8::2006/1282001:db8::2006
82001:db8::2007/1282001:db8::2007
92001:db8::2008/1282001:db8::2008
102001:db8::2009/1282001:db8::2009
112001:db8::200a/1282001:db8::200a
122001:db8::200b/1282001:db8::200b
132001:db8::200c/1282001:db8::200c
142001:db8::200d/1282001:db8::200d
152001:db8::200e/1282001:db8::200e
162001:db8::200f/1282001:db8::200f
172001:db8::2010/1282001:db8::2010
182001:db8::2011/1282001:db8::2011
192001:db8::2012/1282001:db8::2012
202001:db8::2013/1282001:db8::2013
212001:db8::2014/1282001:db8::2014
222001:db8::2015/1282001:db8::2015
232001:db8::2016/1282001:db8::2016
242001:db8::2017/1282001:db8::2017
252001:db8::2018/1282001:db8::2018
262001:db8::2019/1282001:db8::2019
272001:db8::201a/1282001:db8::201a
282001:db8::201b/1282001:db8::201b
292001:db8::201c/1282001:db8::201c
302001:db8::201d/1282001:db8::201d
312001:db8::201e/1282001:db8::201e
322001:db8::201f/1282001:db8::201f
332001:db8::2020/1282001:db8::2020
342001:db8::2021/1282001:db8::2021
352001:db8::2022/1282001:db8::2022
362001:db8::2023/1282001:db8::2023
372001:db8::2024/1282001:db8::2024
382001:db8::2025/1282001:db8::2025
392001:db8::2026/1282001:db8::2026
402001:db8::2027/1282001:db8::2027
412001:db8::2028/1282001:db8::2028
422001:db8::2029/1282001:db8::2029
432001:db8::202a/1282001:db8::202a
442001:db8::202b/1282001:db8::202b
452001:db8::202c/1282001:db8::202c
462001:db8::202d/1282001:db8::202d
472001:db8::202e/1282001:db8::202e
482001:db8::202f/1282001:db8::202f
492001:db8::2030/1282001:db8::2030
502001:db8::2031/1282001:db8::2031
512001:db8::2032/1282001:db8::2032
522001:db8::2033/1282001:db8::2033
532001:db8::2034/1282001:db8::2034
542001:db8::2035/1282001:db8::2035
552001:db8::2036/1282001:db8::2036
562001:db8::2037/1282001:db8::2037
572001:db8::2038/1282001:db8::2038
582001:db8::2039/1282001:db8::2039
592001:db8::203a/1282001:db8::203a
602001:db8::203b/1282001:db8::203b
612001:db8::203c/1282001:db8::203c
622001:db8::203d/1282001:db8::203d
632001:db8::203e/1282001:db8::203e
642001:db8::203f/1282001:db8::203f
652001:db8::2040/1282001:db8::2040
662001:db8::2041/1282001:db8::2041
672001:db8::2042/1282001:db8::2042
682001:db8::2043/1282001:db8::2043
692001:db8::2044/1282001:db8::2044
702001:db8::2045/1282001:db8::2045
712001:db8::2046/1282001:db8::2046
722001:db8::2047/1282001:db8::2047
732001:db8::2048/1282001:db8::2048
742001:db8::2049/1282001:db8::2049
752001:db8::204a/1282001:db8::204a
762001:db8::204b/1282001:db8::204b
772001:db8::204c/1282001:db8::204c
782001:db8::204d/1282001:db8::204d
792001:db8::204e/1282001:db8::204e
802001:db8::204f/1282001:db8::204f
812001:db8::2050/1282001:db8::2050
822001:db8::2051/1282001:db8::2051
832001:db8::2052/1282001:db8::2052
842001:db8::2053/1282001:db8::2053
852001:db8::2054/1282001:db8::2054
862001:db8::2055/1282001:db8::2055
872001:db8::2056/1282001:db8::2056
882001:db8::2057/1282001:db8::2057
892001:db8::2058/1282001:db8::2058
902001:db8::2059/1282001:db8::2059
912001:db8::205a/1282001:db8::205a
922001:db8::205b/1282001:db8::205b
932001:db8::205c/1282001:db8::205c
942001:db8::205d/1282001:db8::205d
952001:db8::205e/1282001:db8::205e
962001:db8::205f/1282001:db8::205f
972001:db8::2060/1282001:db8::2060
982001:db8::2061/1282001:db8::2061
992001:db8::2062/1282001:db8::2062
1002001:db8::2063/1282001:db8::2063
1012001:db8::2064/1282001:db8::2064
1022001:db8::2065/1282001:db8::2065
1032001:db8::2066/1282001:db8::2066
1042001:db8::2067/1282001:db8::2067
1052001:db8::2068/1282001:db8::2068
1062001:db8::2069/1282001:db8::2069
1072001:db8::206a/1282001:db8::206a
1082001:db8::206b/1282001:db8::206b
1092001:db8::206c/1282001:db8::206c
1102001:db8::206d/1282001:db8::206d
1112001:db8::206e/1282001:db8::206e
1122001:db8::206f/1282001:db8::206f
1132001:db8::2070/1282001:db8::2070
1142001:db8::2071/1282001:db8::2071
1152001:db8::2072/1282001:db8::2072
1162001:db8::2073/1282001:db8::2073
1172001:db8::2074/1282001:db8::2074
1182001:db8::2075/1282001:db8::2075
1192001:db8::2076/1282001:db8::2076
1202001:db8::2077/1282001:db8::2077
1212001:db8::2078/1282001:db8::2078
1222001:db8::2079/1282001:db8::2079
1232001:db8::207a/1282001:db8::207a
1242001:db8::207b/1282001:db8::207b
1252001:db8::207c/1282001:db8::207c
1262001:db8::207d/1282001:db8::207d
1272001:db8::207e/1282001:db8::207e
1282001:db8::207f/1282001:db8::207f
1292001:db8::2080/1282001:db8::2080
1302001:db8::2081/1282001:db8::2081
1312001:db8::2082/1282001:db8::2082
1322001:db8::2083/1282001:db8::2083
1332001:db8::2084/1282001:db8::2084
1342001:db8::2085/1282001:db8::2085
1352001:db8::2086/1282001:db8::2086
1362001:db8::2087/1282001:db8::2087
1372001:db8::2088/1282001:db8::2088
1382001:db8::2089/1282001:db8::2089
1392001:db8::208a/1282001:db8::208a
1402001:db8::208b/1282001:db8::208b
1412001:db8::208c/1282001:db8::208c
1422001:db8::208d/1282001:db8::208d
1432001:db8::208e/1282001:db8::208e
1442001:db8::208f/1282001:db8::208f
1452001:db8::2090/1282001:db8::2090
1462001:db8::2091/1282001:db8::2091
1472001:db8::2092/1282001:db8::2092
1482001:db8::2093/1282001:db8::2093
1492001:db8::2094/1282001:db8::2094
1502001:db8::2095/1282001:db8::2095
1512001:db8::2096/1282001:db8::2096
1522001:db8::2097/1282001:db8::2097
1532001:db8::2098/1282001:db8::2098
1542001:db8::2099/1282001:db8::2099
1552001:db8::209a/1282001:db8::209a
1562001:db8::209b/1282001:db8::209b
1572001:db8::209c/1282001:db8::209c
1582001:db8::209d/1282001:db8::209d
1592001:db8::209e/1282001:db8::209e
1602001:db8::209f/1282001:db8::209f
1612001:db8::20a0/1282001:db8::20a0
1622001:db8::20a1/1282001:db8::20a1
1632001:db8::20a2/1282001:db8::20a2
1642001:db8::20a3/1282001:db8::20a3
1652001:db8::20a4/1282001:db8::20a4
1662001:db8::20a5/1282001:db8::20a5
1672001:db8::20a6/1282001:db8::20a6
1682001:db8::20a7/1282001:db8::20a7
1692001:db8::20a8/1282001:db8::20a8
1702001:db8::20a9/1282001:db8::20a9
1712001:db8::20aa/1282001:db8::20aa
1722001:db8::20ab/1282001:db8::20ab
1732001:db8::20ac/1282001:db8::20ac
1742001:db8::20ad/1282001:db8::20ad
1752001:db8::20ae/1282001:db8::20ae
1762001:db8::20af/1282001:db8::20af
1772001:db8::20b0/1282001:db8::20b0
1782001:db8::20b1/1282001:db8::20b1
1792001:db8::20b2/1282001:db8::20b2
1802001:db8::20b3/1282001:db8::20b3
1812001:db8::20b4/1282001:db8::20b4
1822001:db8::20b5/1282001:db8::20b5
1832001:db8::20b6/1282001:db8::20b6
1842001:db8::20b7/1282001:db8::20b7
1852001:db8::20b8/1282001:db8::20b8
1862001:db8::20b9/1282001:db8::20b9
1872001:db8::20ba/1282001:db8::20ba
1882001:db8::20bb/1282001:db8::20bb
1892001:db8::20bc/1282001:db8::20bc
1902001:db8::20bd/1282001:db8::20bd
1912001:db8::20be/1282001:db8::20be
1922001:db8::20bf/1282001:db8::20bf
1932001:db8::20c0/1282001:db8::20c0
1942001:db8::20c1/1282001:db8::20c1
1952001:db8::20c2/1282001:db8::20c2
1962001:db8::20c3/1282001:db8::20c3
1972001:db8::20c4/1282001:db8::20c4
1982001:db8::20c5/1282001:db8::20c5
1992001:db8::20c6/1282001:db8::20c6
2002001:db8::20c7/1282001:db8::20c7
2012001:db8::20c8/1282001:db8::20c8
2022001:db8::20c9/1282001:db8::20c9
2032001:db8::20ca/1282001:db8::20ca
2042001:db8::20cb/1282001:db8::20cb
2052001:db8::20cc/1282001:db8::20cc
2062001:db8::20cd/1282001:db8::20cd
2072001:db8::20ce/1282001:db8::20ce
2082001:db8::20cf/1282001:db8::20cf
2092001:db8::20d0/1282001:db8::20d0
2102001:db8::20d1/1282001:db8::20d1
2112001:db8::20d2/1282001:db8::20d2
2122001:db8::20d3/1282001:db8::20d3
2132001:db8::20d4/1282001:db8::20d4
2142001:db8::20d5/1282001:db8::20d5
2152001:db8::20d6/1282001:db8::20d6
2162001:db8::20d7/1282001:db8::20d7
2172001:db8::20d8/1282001:db8::20d8
2182001:db8::20d9/1282001:db8::20d9
2192001:db8::20da/1282001:db8::20da
2202001:db8::20db/1282001:db8::20db
2212001:db8::20dc/1282001:db8::20dc
2222001:db8::20dd/1282001:db8::20dd
2232001:db8::20de/1282001:db8::20de
2242001:db8::20df/1282001:db8::20df
2252001:db8::20e0/1282001:db8::20e0
2262001:db8::20e1/1282001:db8::20e1
2272001:db8::20e2/1282001:db8::20e2
2282001:db8::20e3/1282001:db8::20e3
2292001:db8::20e4/1282001:db8::20e4
2302001:db8::20e5/1282001:db8::20e5
2312001:db8::20e6/1282001:db8::20e6
2322001:db8::20e7/1282001:db8::20e7
2332001:db8::20e8/1282001:db8::20e8
2342001:db8::20e9/1282001:db8::20e9
2352001:db8::20ea/1282001:db8::20ea
2362001:db8::20eb/1282001:db8::20eb
2372001:db8::20ec/1282001:db8::20ec
2382001:db8::20ed/1282001:db8::20ed
2392001:db8::20ee/1282001:db8::20ee
2402001:db8::20ef/1282001:db8::20ef
2412001:db8::20f0/1282001:db8::20f0
2422001:db8::20f1/1282001:db8::20f1
2432001:db8::20f2/1282001:db8::20f2
2442001:db8::20f3/1282001:db8::20f3
2452001:db8::20f4/1282001:db8::20f4
2462001:db8::20f5/1282001:db8::20f5
2472001:db8::20f6/1282001:db8::20f6
2482001:db8::20f7/1282001:db8::20f7
2492001:db8::20f8/1282001:db8::20f8
2502001:db8::20f9/1282001:db8::20f9
2512001:db8::20fa/1282001:db8::20fa
2522001:db8::20fb/1282001:db8::20fb
2532001:db8::20fc/1282001:db8::20fc
2542001:db8::20fd/1282001:db8::20fd
2552001:db8::20fe/1282001:db8::20fe
2562001:db8::20ff/1282001:db8::20ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses